Package org.apache.tools.ant.taskdefs.optional.depend.constantpool

# Class LongCPInfo

java.lang.Object
org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry
org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantCPInfo
org.apache.tools.ant.taskdefs.optional.depend.constantpool.LongCPInfo

    public class LongCPInfo
    extends ConstantCPInfo

A Long CP Info

## Field Summary

### Fields inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry

`CONSTANT_CLASS, CONSTANT_DOUBLE, CONSTANT_FIELDREF, CONSTANT_FLOAT, CONSTANT_INTEGER, CONSTANT_INTERFACEMETHODREF, CONSTANT_INVOKEDYNAMIC, CONSTANT_LONG, CONSTANT_METHODHANDLE, CONSTANT_METHODREF, CONSTANT_METHODTYPE, CONSTANT_MODULEINFO, CONSTANT_NAMEANDTYPE, CONSTANT_PACKAGEINFO, CONSTANT_STRING, CONSTANT_UTF8`

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`LongCPInfo()` | Constructor.

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`void` | `read​(java.io.DataInputStream cpStream)` | read a constant pool entry from a class stream.
`java.lang.String` | `toString()` | Print a readable version of the constant pool entry.

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantCPInfo

`getValue, setValue`

### Methods inherited from class org.apache.tools.ant.taskdefs.optional.depend.constantpool.ConstantPoolEntry

`getNumEntries, getTag, isResolved, readEntry, resolve`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Constructor Details

### LongCPInfo

public LongCPInfo()
Constructor.

## Method Details

### read

public void read​(java.io.DataInputStream cpStream) throws java.io.IOException
read a constant pool entry from a class stream.

Specified by:
  `read` in class `ConstantPoolEntry`
Parameters:
  `cpStream` - the DataInputStream which contains the constant pool entry to be read.
Throws:
  `java.io.IOException` - if there is a problem reading the entry from the stream.

### toString

public java.lang.String toString()
Print a readable version of the constant pool entry.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  the string representation of this constant pool entry.